OGRE: Ogre::OverlayElementFactory Class Reference - OGRE Documentation

Public Member Functions

# Ogre::OverlayElementFactory Class Reference
[Overlays]

Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...

`#include <OgreOverlayElementFactory.h>`

Inheritance diagram for Ogre::OverlayElementFactory:
[legend]

List of all members.

## Public Member Functions
virtual | ~OverlayElementFactory ()
| Destroy the overlay element factory.
virtual OverlayElement * | createOverlayElement (const String &instanceName)=0
| Creates a new OverlayElement instance with the name supplied.
virtual void | destroyOverlayElement (OverlayElement *pElement)
| Destroys a OverlayElement which this factory created previously.
virtual const String & | getTypeName (void) const =0
| Gets the string uniquely identifying the type of element this factory creates.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Detailed Description

Defines the interface which all components wishing to supply OverlayElement subclasses must implement.

Remarks:
  To allow the OverlayElement types available for inclusion on overlays to be extended, OGRE allows external apps or plugins to register their ability to create custom OverlayElements with the OverlayManager, using the addOverlayElementFactory method. Classes wanting to do this must implement this interface.

  Each OverlayElementFactory creates a single type of OverlayElement, identified by a 'type name' which must be unique.

Definition at line 56 of file OgreOverlayElementFactory.h.

## Constructor & Destructor Documentation

virtual Ogre::OverlayElementFactory::~OverlayElementFactory | ( |  | ) | `[virtual]`

Destroy the overlay element factory.

Definition at line 60 of file OgreOverlayElementFactory.h.

## Member Function Documentation

virtual OverlayElement* Ogre::OverlayElementFactory::createOverlayElement | ( | const String & | instanceName | ) | `[pure virtual]`

Creates a new OverlayElement instance with the name supplied.

Implemented in Ogre::PanelOverlayElementFactory, Ogre::BorderPanelOverlayElementFactory, and Ogre::TextAreaOverlayElementFactory.

virtual void Ogre::OverlayElementFactory::destroyOverlayElement | ( | OverlayElement * | pElement | ) | `[virtual]`

Destroys a OverlayElement which this factory created previously.

Definition at line 64 of file OgreOverlayElementFactory.h.

virtual const String& Ogre::OverlayElementFactory::getTypeName | ( | void |  | ) | const`[pure virtual]`

Gets the string uniquely identifying the type of element this factory creates.

Implemented in Ogre::PanelOverlayElementFactory, Ogre::BorderPanelOverlayElementFactory, and Ogre::TextAreaOverlayElementFactory.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

The documentation for this class was generated from the following file:

- OgreOverlayElementFactory.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:57